%define module  pam

# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name: 		python-%{module}
Version: 	0.5.0
Release: 	%mkrel 15
Summary:        Python bindings for PAM
License:        GPL
Group:          Development/Python
URL:            http://www.pangalactic.org/PyPAM
Source:         PyPAM-%{version}.tar.bz2
BuildRequires:  pam-devel
BuildRequires:  python-devel
Patch0:         PyPAM-0.5.0-libdl-fix.patch
Patch1:         PyPAM-0.5.0-fix-headers-and-missing-def.patch
Patch2:         PyPAM-0.5.0-dealloc.patch
Patch3:         PyPAM-0.5.0-nofree.patch
Patch4:         PyPAM-0.5.0-memory-errors.patch
Patch5:         PyPAM-0.5.0-return-value.patch


%description
This release supports the core PAM API. There is still some missing
functionality, but it should implement enough of the API for most
needs. There is not much in the way of documentation at this point. If
you are familiar with the PAM API, a quick glance at the sample program
should get you going.

%prep
%setup -q -n PyPAM-%{version}

%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
rm examples/pamexample
rm -rf build dist

%build
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" %{__python} setup.py build

%install
%{__python} setup.py install --prefix=%{_prefix} --root=%{buildroot}


%files
%doc AUTHORS NEWS README ChangeLog COPYING examples
%{python_sitearch}/PAMmodule.so
%{python_sitearch}/*.egg-info





%changelog
* Fri Jan 29 2016 umeabot <umeabot> 0.5.0-15.mga6
+ Revision: 928831
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-14.mga5
+ Revision: 747226
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.0-13.mga5
+ Revision: 729285
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.0-12.mga5
+ Revision: 688199
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Mon Oct 28 2013 philippem <philippem> 0.5.0-10.mga4
+ Revision: 547713
- sync with Fedora to fix memory leaks

* Tue Oct 22 2013 umeabot <umeabot> 0.5.0-9.mga4
+ Revision: 543877
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.5.0-8.mga4
+ Revision: 499044
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Feb 22 2013 kharec <kharec> 0.5.0-7.mga3
+ Revision: 399826
- add a patch wrongly removed

* Fri Feb 22 2013 kharec <kharec> 0.5.0-6.mga3
+ Revision: 399818
- add two patches to fix build

  + dmorgan <dmorgan>
    - Add fedora patch to fix dealloc
    - imported package python-pam


* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 0.5.0-6mdv2011.0
+ Revision: 590055
- rebuild for python 2.7

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.5.0-5mdv2010.0
+ Revision: 442325
- rebuild

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 0.5.0-4mdv2009.1
+ Revision: 320167
- rebuild for new python

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.5.0-3mdv2009.0
+ Revision: 242456
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jun 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-1mdv2008.0
+ Revision: 34722
- import python-pam


* Sat Jun 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-1mdv2008.0
- initial mdv release 
